Subject: bug#38992: 27.0.60; when enabled, fido-mode seems to break vc-git-grep

From: Dmitry Gutov <[email-masked]>
Date: Wed, 5 Feb 2020 02:57:18 +0300

On 01.02.2020 11:07, Eli Zaretskii wrote:
> The second one is fine with me, but why do we need the first one?  It
> changes the semantics of a widely used variable.

The short of it, the second wouldn't work without the first one. And the 
first one makes a lot of sense (no need to invent an extra variable if 
the way to store the necessary info is so obvious).

There is some possibility of this causing a regression, but the changes 
are relatively small. And no third-party code should be affected by this 
change.